<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Hausmeister\Raumbelegung\KursDetails\Detailsreiter\Teilnehmer\ShowFilterTeilnehmer;

class HmShowFilterTeilnehmerController extends \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Teilnehmer\ShowFilterTeilnehmer\ShowFilterTeilnehmerController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new HmShowFilterTeilnehmerUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->raumNr = \GetOperations::getVarValue('rnr');

    return $requestObj;
  }
}